# $Revision: 1.31 $, $Date: 2012/01/13 13:07:10 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	ListDetector
Summary:	Mail::ListDetector - Perl extension for detecting mailing list messages
Summary(pl.UTF-8):	Mail::ListDetector - rozszerzenie Perla do wykrywania poczty z list dyskusyjnych
Name:		perl-Mail-ListDetector
Version:	1.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ab3554c5bd87cf22dc720b0847780c77
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Email-Abstract
BuildRequires:	perl-Email-Valid
%endif
Requires:	perl-Email-Valid
Requires:	perl-URI
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module analyzes Mail::Internet objects.  It returns a
Mail::ListDetector::List object representing the mailing list.

The RFC2369 mailing list detector is also capable of matching some
Mailman and Ezmlm messages.

%description -l pl.UTF-8
Ten moduł analizuje obiekty Mail::Internet.  Zwraca obiekt
Mail::ListDetector::List, reprezentujący listę dyskusyjną.

Zgodny z RFC2369 kod do rozpoznawania list jest także zdolny do
wyłapywania części wiadomości, produkowanych przez programy Mailman
i Ezmlm.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D examples/sample.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/sample.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* AUTHORS BUGS README TODO
%{perl_vendorlib}/Mail/*.pm
%{perl_vendorlib}/Mail/ListDetector
# empty autosplit.ix
%{perl_vendorlib}/auto/Mail/ListDetector
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-ListDetector.spec,v $
Revision 1.31  2012/01/13 13:07:10  zbyniu
- up to 1.04

Revision 1.30  2009/09/17 07:42:16  amateja
- updated to 1.01

Revision 1.29  2008/07/27 22:41:39  arekm
- release 2

Revision 1.28  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.26  2004/11/03 22:30:32  paladine
- formatting

Revision 1.25  2004/06/10 17:32:46  adamg
- updated to 0.31

Revision 1.24  2004/05/30 18:14:18  adamg
- updated to 0.30
- BuildRequires: perl-Email-Abstract

Revision 1.23  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.22  2004/04/25 00:50:57  ankry
- cosmetics: unification

Revision 1.21  2004/04/23 06:22:06  ankry
- license fixes/unification

Revision 1.20  2004/04/20 23:59:33  ankry
- ported to new bconds

Revision 1.19  2004/03/06 19:51:35  adamg
- updated to 0.29

Revision 1.18  2003/09/18 13:19:39  adamg
- updated to 0.28

Revision 1.17  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.16  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.15  2003/08/18 08:08:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/07/29 15:46:50  adamg
- updated to 0.25

Revision 1.13  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.10  2003/03/01 20:20:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.9  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:36:07  ankry
- massive attack: change CPAN URLs

Revision 1.7  2002/10/12 13:44:33  radek
- restored empty autosplit.ix files
  (why are these little bastards needed, I don't know)
- release++

Revision 1.6  2002/09/19 12:14:39  ankry
- removed empty autosplit.ix
- release 4

Revision 1.5  2002/08/04 00:52:37  ankry
- added missing BR, added Requires
- release 3

Revision 1.4  2002/08/03 11:34:45  ankry
- test on BCond, cleaning
- added autosplit.ix
- release 2

Revision 1.3  2002/07/21 17:34:14  kloczek
- cosmetics.

Revision 1.2  2002/07/21 14:39:32  radek
- minor bugfixes

Revision 1.1  2002/07/21 10:53:13  radek
- new, STBR
